---
title: "Get eligible transaction types for a policy by CUSIP and policy number"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/getEligibleTransactions"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Get eligible transaction types for a policy by CUSIP and policy number

`GET` `/bpm/v1/policies/{cusip}/{policyNumber}/eligibleTransactions`

Operation ID: `getEligibleTransactions`

Returns the list of eligible transaction types for the given CUSIP and policy number.

## Path parameters

- `cusip` (string, required) - CUSIP number
- `policyNumber` (string, required) - Policy number

## Responses

- `200` - Success
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found
- `500` - Internal Server Error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /bpm/v1/policies/{cusip}/{policyNumber}/eligibleTransactions:
    get:
      x-internal: true
      security:
        - Auth0: []
      tags:
        - product-eligibility
      summary: Get eligible transaction types for a policy by CUSIP and policy number
      description: Returns the list of eligible transaction types for the given CUSIP
        and policy number.
      operationId: getEligibleTransactions
      parameters:
        - name: cusip
          in: path
          description: CUSIP number
          required: true
          schema:
            type: string
        - name: policyNumber
          in: path
          description: Policy number
          required: true
          schema:
            type: string
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/EligibleTransactionsResponse"
              example:
                cusip: "123456789"
                productCode: ADDAARP
                eligibleTransactionTypes:
                  - transactionTypeCode: "105"
                    transactionTypeDisplayName: Withdrawal (one time only)
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
              example:
                message: Bad Request
                status: 400
                timestamp: 2025-10-06T14:35:07.364Z
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
              example:
                message: Unauthorized
                status: 401
                timestamp: 2025-10-06T14:35:07.364Z
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
              example:
                message: Forbidden
                status: 403
                timestamp: 2025-10-06T14:35:07.364Z
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
              example:
                message: Not Found
                status: 404
                timestamp: 2025-10-06T14:35:07.364Z
        "500":
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
              example:
                message: Internal Server Error
                status: 500
                timestamp: 2025-10-06T14:35:07.364Z
security:
  - Auth0: []
components:
  schemas:
    EligibleTransactionsResponse:
      type: object
      properties:
        cusip:
          type: string
          example: "123456789"
        productCode:
          type: string
          example: ADDAARP
        eligibleTransactionTypes:
          type: array
          description: List of eligible transaction types
          items:
            $ref: "#/components/schemas/EligibleTransactionType"
    ErrorResponse:
      type: object
      properties:
        status:
          type: integer
          example: 404
        message:
          type: string
          example: "Invalid or missing request field: correlationId"
    EligibleTransactionType:
      type: object
      properties:
        transactionTypeCode:
          type: string
          description: Transaction type code as string
          example: "105"
        transactionTypeDisplayName:
          type: string
          example: Withdrawal (one time only)
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.qa.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://qa.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://qa.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
